LINUX.ORG.RU

Дебиан 8 Джесси xfce не видит МЫШЬ

 , ,


1

1

Качал дистрибутив с оф.сайта. Установил. Сначала была проблема с Биосом, решил.

https://otvet.mail.ru/question/227769992

Запустил. Курсор по центру экрана. Не реагирует. Чем лечить?

Знаний по линуксу - 0. Обращайтесь как с нубом;)

Зачем поставил старый релиз? Debian 8 вышел в 2015 году.

Тебе нужно удостовериться что установлены пакеты с драйверами устройство ввода.

Нажми alt+f2, введи xfce4-terminal и нажми Enter.

В терминале введи команду:

dpkg -l | grep "xserver-xorg-input"

Покажи вывод.

anonymous ()

Знаний по линуксу - 0. Обращайтесь как с нубом;)

Чтобы «помогайкам» было проще, скопировал ответ ТСа на ответ :)
А то начнёте сейчас мучить логами и markdown разметкой.

почему раньше батарейка всегда работала, а сразу после установки Линукса - села? Стало быть Линукс = вирус?

anonymous ()
Ответ на: комментарий от anonymous

почему раньше батарейка всегда работала, а сразу после установки Линукса - села? Стало быть Линукс = вирус?

Получается, что вирус.

neon1ks ★★ ()
Ответ на: комментарий от neon1ks

та не, там при установке Джесси, она почему-то залезла в Биос - и что-то там поменяла (CMOS Cheksum bad). Сбросил его к заводским настройкам, цмос-ошибка исчезла - и Линь сразу стал запускаться.

BOBAH1 ()
Ответ на: комментарий от BOBAH1

Это шутка была)

Почему debian 8 был выбран? На мой взгляд для новичка он сложный, да еще и выбрали, который уже не поддерживается.

neon1ks ★★ ()
Ответ на: комментарий от anonymous

я более свежие релизы не осилю - не винчестерно, ни ОЗУшно. Уж больно толстые. Да к тому же через СиДи удобно инсталлиться; с флешки пока не освоил.

терминал это который через Ктрл+Альт+T ? ща попробую.

и ещё. Как я понял, dpkg - это пакетный менеджер. А в моём дистрибутиве, есть встроенные Aptitude или Synaptic? И как их найти.

BOBAH1 ()
Ответ на: комментарий от BOBAH1

Да ладно не осилишь. Ну Debian 8 с Xfce ел 200 мегов на старте, 11 ест 400 — не принципиально, оба использовал. И у меня есть Lubuntu с кучей ПО из flatpak и snap — всего 20 гигабайт на ЖД.

Vsevolod-linuxoid ★★★★★ ()
Ответ на: комментарий от Vsevolod-linuxoid

с ОЗУ ладно. Но «всего» 20Гб! Это жесть какая-то. Я и игры-то, больше 5 гигов не устанавливаю…

Да, кстати забыл сказать что железо у меня старое, от 2006 года. А мышка ещё старше - даже без скрола. Но зато с шариком снизу;)

BOBAH1 ()
Ответ на: комментарий от BOBAH1

Это пример мегажручего сетапа. То есть сознательной неэкономии. Так можно и в пределах 10 уложиться.

Vsevolod-linuxoid ★★★★★ ()
Ответ на: комментарий от BOBAH1

Xubuntu 20.04 нормально будет работать.

dpkg — работает внутри, его трогать не надо. С пакетами работают с помощью вспомогательных утилит.

Команды apt-get или apt доступны сразу. aptitude и synaptic нужно будет скорее всего установить. Одновременно их использовать нельзя, но можно по очереди.

Железо 2006 года нормально поддерживают современные дистрибутивы. Главное чтобы памяти хватало.

neon1ks ★★ ()
Ответ на: комментарий от BOBAH1

А вот тут давай точнее. Что за железо? Что за мышка? «С шариком», для com-порта что-ли? Чем точнее дашь ответы, тем точнее будут советы. Сейчас окажется, что с флешки твой компьютер и не умеет грузиться.

andytux ★★★ ()

@BOBAH1 , твой выбор дистрибутива — хуже некуда. В Debian 8 выше крыши уязвимостей, которые никто закрывать не будет, это как на WinXP без сервис-пака с отключенным файрволлом сидеть.

Давай диктуй свой процессор, количество оперативной памяти, место на ЖД и видеокарту — подберем нормальный.

Vsevolod-linuxoid ★★★★★ ()
Ответ на: комментарий от andytux

Ну даже самый свежий Debian для i386 без проблем ставится с CD. Вот Ubuntu лишь до 18.04.

Vsevolod-linuxoid ★★★★★ ()
Последнее исправление: Vsevolod-linuxoid (всего исправлений: 1)

Да, по поводу мыши — она хоть какая у тебя? USB, PS/2, COM, LPT… ?

Vsevolod-linuxoid ★★★★★ ()
Ответ на: комментарий от BOBAH1

Возьми usb или ps2 мышь и трахай мозг ни себе ни людям.

einhander ★★★★★ ()
Ответ на: комментарий от BOBAH1

Можешь до 8 гигов воткнуть, если проц и матерь тянут. Не шутка, 32-битные Linux, как и 32-битный Windows Server, видят более 4 гигабайт оперативки через PAE.

Vsevolod-linuxoid ★★★★★ ()
Ответ на: комментарий от BOBAH1

С таким конфигом возьми свежий дебиан и ставь с рабочим столом mate. Для повседневной работы хватит. Даже сможешь открыть две вкладки в файрфоксе или хромиуме.

einhander ★★★★★ ()
Ответ на: комментарий от BOBAH1

apt-get install xserver-xorg-input-mouse

Вот только у Debian 8 уже все репозитории в архиве, так что придется их подключать через приседания с бубном. И в последнем 11 этот драйвер тоже есть, к слову.

Vsevolod-linuxoid ★★★★★ ()
Ответ на: комментарий от anonymous

по вашей схеме, нажал - по Альт+Ф2 у меня выходит Поиск. По Альт+Ф1 - графическое меню (Пуск).

Но когда я нажал Ктрл+Альт+Ф1 или Ф2 - меня выбросило в что-то Досо-подобное. Там я написал xfce4-terminal , мне говорят Gtk-WARNING **: cannot open display

А если ту вторую команду dpkg -1 | grep «xserver-xorg-input» - то я получаю какие-то странные квадратики, как-будто зашифрованный текст █ █ █ █ █ █: █……… -1 «apt» █ █ █ «aptitude» …….. █«less»█ █ █«more»!

а ещё я из-под Виндуса не вижу хард с установленным Дебианом. Это так и должно быть? (Через Диспетчер устройств видны оба винчестера). Вообще я читал что у них файлове системы разные…

BOBAH1 ()
Ответ на: комментарий от BOBAH1

У 32-битного Debian 8 не отображается русские символы в tty, известный баг. Ну не надо ставить старое древнее ПО, оно такое.

Vsevolod-linuxoid ★★★★★ ()
Ответ на: комментарий от BOBAH1

Кхм… но ведь даже под Windows такой конфиг малоосмысленнен… игры сейчас в основном под 64 бита, а более старые не будут полностью такую видеокарту использовать. Да и мощность CPU станет бутылочным горлышком. Это как на Запорожец установить гоночное кресло.

Vsevolod-linuxoid ★★★★★ ()
Ответ на: комментарий от Vsevolod-linuxoid

А вот и секта раскрывателей подъехала

anonymous ()

@BOBAH1 , вот тебе пошаговая инструкция, как на твоем конфиге получить рабочий Linux без лишних проблем:

Всё, получаешь рабочий и актуальный до апреля 2023 года Linux.

А с Debian 8 сейчас придется из архивов репы подключать, потом пакеты из них брать… и я кстати не уверен, для него твоя видеокарта может быть слишком свежей.

Vsevolod-linuxoid ★★★★★ ()
Ответ на: комментарий от anonymous
wget http://archive.debian.org/debian/pool/main/x/xserver-xorg-input-mouse/xserver-xorg-input-mouse_1.9.1-1_i386.deb
sha256sum xserver-xorg-input-mouse_1.9.1-1_i386.deb
#здесь должно быть a4ec4c1a828494195de4261277e43f7d53535ebc65a8c475ddfa636d82adfa73
dpkg -i xserver-xorg-input-mouse_1.9.1-1_i386.deb
anonymous ()
Ответ на: комментарий от BOBAH1

«получаю какие-то странные квадратики, как-будто зашифрованный текст»

setupcon

anonymous ()
Ответ на: комментарий от anonymous

ага спасибо. Как я понял, надо сначала скачать пакет мышиного драйвера, а затем… Куда его надо положить?

«Зависимостей кроме иксов и libc нет» - вот это я совсем не понял.

а потом конечно я впишу эту строчку,

dpkg -i xserver-xorg-input-mouse_1.9.1-1_i386.deb

но ведь для этого пакет должен лежать где-то?

BOBAH1 ()
Ответ на: комментарий от BOBAH1

Закажи себе на DVD полный набор автономных репозиториев Debian. Да, есть такое.

Vsevolod-linuxoid ★★★★★ ()
Ответ на: комментарий от BOBAH1

И ты пошел очень херовым путем в Linux… понимаешь, он про то, что настроить один раз репозиории и ПО — и уже автоматически обновлять.

А ты ставишь снятый с поддержки дистрибутив с незакрытыми уязвимостями, не прописываешь даже архивные репозитории, и ломаешь пакетную систему. Потом ещё так же коряво поставишь дрова, наверное.

Да, Linux может так работать. Но при таком подходе (подобном подходе на Windows) он будет говносборкой. И работать будет как говносборка.

В один день ты захочешь поставить какое-то ПО, упрешься в кучу проблем с несовместимыми пакетами и библиотеками, а при попытке починить всё развалиться к чертям.

Не шутка, я такое десятки раз видел. Да, многие так начинали. И не стоит так делать. Linux имеет свои best practices, они совершенно иные, чем на Windows. И тот путь, по которому идешь ты — он в жопу. Буквально.

Короче, для нормального использования Linux нужно:

  • Ставить поддерживаемый дистрибутив
  • Не просто ставить ПО, а настраивать его источник официальных и постоянных обновлений, а потом ставить
  • Каждое ПО ставить через механизм чистых обновлений и удалений
  • Не мешать несовместимые источники

А если как на Windows — поставил как поставилось, после чего так же тяп-ляп ставим нужное ПО по мере необходимости — будет жопа. Не сразу, но со временем.

Vsevolod-linuxoid ★★★★★ ()
Ответ на: комментарий от Vsevolod-linuxoid

Простейший способ получить нормальный Linux:

  • Поставить любой актуальный дистрибутив
  • НЕ ставить ПО с сайтов продуктов — оно обычно плохо и несовместимо упаковано и прописывает что-то левое в репозиториях, драйверов это особо касается
  • НЕ подключать дополнительные репозитории вовсе, особенно для других дистрибутивов
  • Ставить только из официальных репозиториев дистрибутива

Сравнительно безопасно, но уже требует внимания:

  • Подключать дополнительные и совместимые репозитории
  • Использовать flatpak и snap
  • В очень редких случаях что-то можно поставить руками, если точно знаешь, как это убрать из ОС

Вообще, общий принцип — перед выполнением любого изменения конфигурации ОС нужно знать, как обратить его вспять. Проблема не в том, чтобы поставить ПО на Linux. А в том, чтобы оно при этом не сломало иное ПО или ОС целиком и особенно в том, чтобы вернуть всё как было.

Vsevolod-linuxoid ★★★★★ ()
Для того чтобы оставить комментарий войдите или зарегистрируйтесь.